org.apache.torque.generator.configuration.outlet

## Class OutletConfigurationTest

- java.lang.Object
- - org.apache.torque.generator.configuration.outlet.OutletConfigurationTest

-     public class OutletConfigurationTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutletConfigurationTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testConstructorWithSameOutletName()` Tests that one cannot add a outlet with the same name twice
    `void` | `testGetOutlets()` Tests that getOutlets returns the correct result.
    `void` | `testResolveMergepointMappings()` Checks that resolveMergepointMappings adds the mergepoint to the correct outlet.
    `void` | `testResolveMergepointMappingsNoNamespace()` Checks that resolveMergepointMappings throws an error if a mergepoint does not contain a namespace.
    `void` | `testResolveMergepointMappingsNotExistingOutlet()` Checks that resolveMergepointMappings throws an error if the outlet name cannot be resolved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutletConfigurationTest

          public OutletConfigurationTest()

  - ### Method Detail

    - #### testGetOutlets

          public void testGetOutlets()
                              throws ConfigurationException

      Tests that getOutlets returns the correct result.
      Throws:
        `ConfigurationException` - if an error occurs.

    - #### testConstructorWithSameOutletName

          public void testConstructorWithSameOutletName()
                                                 throws ConfigurationException

      Tests that one cannot add a outlet with the same name twice
      Throws:
        `ConfigurationException` - if OutletConfiguration cannot be created,

    - #### testResolveMergepointMappings

          public void testResolveMergepointMappings()
                                             throws ConfigurationException

      Checks that resolveMergepointMappings adds the mergepoint to the correct outlet.
      Throws:
        `ConfigurationException`

    - #### testResolveMergepointMappingsNotExistingOutlet

          public void testResolveMergepointMappingsNotExistingOutlet()
                                                              throws ConfigurationException

      Checks that resolveMergepointMappings throws an error if the outlet name cannot be resolved.
      Throws:
        `ConfigurationException`

    - #### testResolveMergepointMappingsNoNamespace

          public void testResolveMergepointMappingsNoNamespace()
                                                        throws ConfigurationException

      Checks that resolveMergepointMappings throws an error if a mergepoint does not contain a namespace.
      Throws:
        `ConfigurationException`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.